%global tar_version 0.0.2

Name: ovirt-engine-api-explorer
Summary: oVirt Engine API Explorer
Version: 0.0.2
Release: 1.0.8%{?dist}
License: ASL 2.0
URL: http://www.ovirt.org
Source0: %{name}-%{tar_version}.tar.gz
Source1: oracle-branding-sources.tar.gz
Patch0: oracle-branding.patch

BuildArch: noarch

BuildRequires: ovirt-engine-nodejs
BuildRequires: ovirt-engine-nodejs-modules < 1.5
BuildRequires: ovirt-engine-yarn < 1.0

Requires: ovirt-engine >= 4.2
Requires: ovirt-js-dependencies >= 1.2

%description
This package contains the oVirt Engine API explorer.

%prep

# Unpack the source:
%setup -q -a 1
%patch0 -p1

%build

# Make sure that we use our Node.js installation:
. %{_datadir}/ovirt-engine-nodejs-modules/setup-env.sh

# Verify that dependency versions (semver ranges) in package.json have
# matching resolutions in the yarn.lock file:
yarn check

# Build the application:
yarn build

# Modify references to CDN with references to the files provided by the
# ovirt-js-dependencies package:
sed -i \
  -e 's|src=".*/jquery.min.js"|src="dependencies/jquery/dist/jquery.min.js"|' \
  -e 's|src=".*/bootstrap.min.js"|src="dependencies/bootstrap/dist/js/bootstrap.min.js"|' \
  -e 's|src=".*/patternfly.min.js"|src="dependencies/patternfly/dist/js/patternfly.min.js"|' \
  -e 's|href=".*/patternfly.min.css"|href="dependencies/patternfly/dist/css/patternfly.min.css"|' \
  -e 's|href=".*/patternfly-additions.min.css"|href="dependencies/patternfly/dist/css/patternfly-additions.min.css"|' \
  build/index.html

%install

# Install the files:
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r build/* %{buildroot}%{_datadir}/%{name}

# Create a link to the libraries provided by the ovirt-js-dependenies,
# so that everything is available in the directory of the application:
ln -s \
    "%{_datadir}/ovirt-js-dependencies/" \
    "%{buildroot}%{_datadir}/%{name}/dependencies"

# Create the engine configuration files that enables the application:
mkdir -p "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf" <<.
ENGINE_API_EXPLORER_DIRECTORY="%{_datadir}/%{name}"
.

%files
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf
%doc README.adoc
%license LICENSE.txt
%{_datadir}/%{name}

%changelog
* Thu Mar 28 2019 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 0.0.2-1.0.8
- Fixed the nodejs-modules build requires restriction to correctly pull only one version.

* Thu Mar 28 2019 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 0.0.2-1.0.7
- Restrict the nodejs-modules to 1.4 as the newer version (1.8) fails to build.

* Thu Mar 28 2019 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 0.0.2-1.0.6
- Update masthead logo with final version.

* Thu Jan 24 2019 Pete Ditmars <pete.ditmars@oracle.com> - 0.0.2-1.0.5
- Restrict ovirt-engine-yarn to 4.2 version

* Wed Jan 23 2019 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 0.0.2-1.0.4
- Add fix to yarn file 

* Fri Jan 18 2019 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 0.0.2-1.0.3
- Change "Oracle VM" to "Oracle Linux Virtualization"

* Fri Oct 5 2018 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 0.0.2-1.0.2
- Add oracle branding v2.  Change "Oracle oVirt" to "Oracle VM"

* Fri Sep 14 2018 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 0.0.2-1.0.1
- Add oracle branding

* Sat Sep 30 2017 Juan Hernandez <juan.hernandez@redhat.com> - 0.0.1
- Use dependencies from ovirt-js-dependencies.

* Fri Feb 5 2016 Juan Hernandez <juan.hernandez@redhat.com> - 0.0.0
- Initial packaging.
